unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    btnLoad: TButton;
    Image1: TImage;
    btnPlus: TButton;
    btnMinus: TButton;
    btnHvezdicka: TButton;
    btnLomitko: TButton;
    edtJmeno: TEdit;
    edtWidth: TEdit;
    edtHeight: TEdit;
    edtProcento: TEdit;
    btnSkryj: TButton;
    procedure btnLoadClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure btnPlusClick(Sender: TObject);
    procedure btnMinusClick(Sender: TObject);
    procedure btnHvezdickaClick(Sender: TObject);
    procedure btnLomitkoClick(Sender: TObject);
    procedure btnSkryjClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  jmenoSouboru: string;
  procentoWidth, procentoHeight: integer;
  ukryti: boolean;

implementation

{$R *.dfm}


procedure TForm1.btnLoadClick(Sender: TObject);
begin

if OpenDialog1.Execute then                            //naten obrzku
  jmenoSouboru:=OpenDialog1.FileName;

Image1.Picture.LoadFromFile(jmenoSouboru);

Image1.Autosize:=true;
edtWidth.Text:=IntToStr(Image1.Width);   //pepnm Autosize kvli zjitn opravdov velikosti obrzku
edtHeight.Text:=IntToStr(Image1.Height);
Image1.AutoSize:=false;

if (Image1.Width / Form1.Width) > (Image1.Height / Form1.Height) then
  begin
  Image1.Width:=Form1.Width;       //zvtovn podle vky
  Image1.Height:=Form1.Height;
  end
else                             //(kvli pomru stran je nutno zvtovat podle "horho elementu")
  begin
  Image1.Height:=Form1.Height;      //zvtovn podle ky
  Image1.Width:=Form1.Width;
  end;

edtJmeno.Text:=jmenoSouboru;

ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'
  else                                          //men z obou hodnot kvli zachovn pomru
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';

end;



procedure TForm1.btnPlusClick(Sender: TObject);
begin
  Image1.Width:=Image1.Width+30;  //zvt vt z rozmr obrzku o 30 pixel a druh se dopote
  Image1.Height:=Image1.Height+30;

  ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
  ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'
  else                                               //stejn jako u natn
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';
end;



procedure TForm1.btnSkryjClick(Sender: TObject);
begin

if ukryti then
  begin
  btnHvezdicka.Visible:=true;
  btnLoad.Visible:=true;
  btnLomitko.Visible:=true;
  btnMinus.Visible:=true;
  btnPlus.Visible:=true;
  edtHeight.Visible:=true;
  edtJmeno.Visible:=true;
  edtProcento.Visible:=true;
  edtWidth.Visible:=true;
  btnSkryj.Caption:='skryj ve';
  ukryti:=false;
  end
else
  begin
  btnHvezdicka.Visible:=false;
  btnLoad.Visible:=false;
  btnLomitko.Visible:=false;
  btnMinus.Visible:=false;
  btnPlus.Visible:=false;
  edtHeight.Visible:=false;
  edtJmeno.Visible:=false;
  edtProcento.Visible:=false;
  edtWidth.Visible:=false;
  btnSkryj.Caption:='Zobraz skryt';
  ukryti:=true;
  end;


end;


procedure TForm1.btnMinusClick(Sender: TObject);
begin
  Image1.Width:=Image1.Width-30;   //zmen vt z rozmr obrzku o 30 pixel a druh se dopote
  Image1.Height:=Image1.Height-30;

  ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
  ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'
  else                                               //stejn jako u natn
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';
end;

procedure TForm1.btnHvezdickaClick(Sender: TObject);
begin
Image1.AutoSize:=true;
EdtProcento.Text:='100%';
end;

procedure TForm1.btnLomitkoClick(Sender: TObject);
begin
Image1.AutoSize:=false;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
                              //ekvivalenty pro stisky klves
if Key='-' then
  begin
  Image1.Width:=Image1.Width-30;
  Image1.Height:=Image1.Height-30;

  ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
  ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'    //stejn jako u natn
  else
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';
  end;

if Key='+' then
  begin
  Image1.Width:=Image1.Width+30;
  Image1.Height:=Image1.Height+30;

  ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
  ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'
  else                                               //stejn jako u natn
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';
  end;

if Key='*' then
  begin
  Image1.AutoSize:=true;
  edtProcento.Text:='100%';
  end;
if Key='/' then Image1.AutoSize:=false;


end;


procedure TForm1.FormResize(Sender: TObject);
begin

if (Image1.Width / Form1.Width) > (Image1.Height / Form1.Height) then
  begin
  Image1.Width:=Form1.Width;
  Image1.Height:=Form1.Height;
  end
else
  begin
  Image1.Height:=Form1.Height;
  Image1.Width:=Form1.Width;
  end;                         //stejn jako u natn

if jmenoSouboru<>'' then
  begin
  ProcentoWidth:=((Image1.Width*100) div StrToInt(edtWidth.Text));
  ProcentoHeight:=((Image1.Height*100) div StrToInt(edtHeight.Text));
  if ProcentoWidth<ProcentoHeight then
    edtProcento.Text:=IntToStr(ProcentoWidth)+'%'
  else
    edtProcento.Text:=IntToStr(ProcentoHeight)+'%';
  end;
end;


end.
